# $Revision: 1.16 $, $Date: 2007/07/29 13:12:15 $
Summary:	Universal steganographic tool
Summary(pl.UTF-8):	Uniwersalne narzędzie steganograficzne
Name:		outguess
Version:	0.2
Release:	2
License:	BSD
Group:		Applications/File
Source0:	http://www.outguess.org/%{name}-%{version}.tar.gz
# Source0-md5:	321f23dc0badaba4350fa66b59829064
URL:		http://www.outguess.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
OutGuess is a universal steganographic tool that allows the insertion
of hidden information into the redundant bits of data sources. The
nature of the data source is irrelevant to the core of OutGuess. The
program relies on data specific handlers that will extract redundant
bits and write them back after modification. In this version the PNM
and JPEG image formats are supported. In the next paragraphs, images
will be used as concrete example of data objects, though OutGuess can
use any kind of data, as long as a handler is provided.

%description -l pl.UTF-8
OutGuess to uniwersalne narzędzie steganograficzne pozwalające na
wstawianie ukrytych informacji do nadmiarowych bitów danych. Rodzaj
danych nie ma znaczenia dla serca OutGuess. Polega on na handlerach
obsługujących określone formaty danych, które odczytują nadmiarowe
bity i zapisują je z powrotem po modyfikacji. W tej wersji obsługiwane
są formaty PNM i JPEG. Dokumentacja jest pisana na przykładzie
obrazków, ale OutGuess może działać na dowolnych danych, do których ma
dostarczony handler.

%prep
%setup  -q -n %{name}

%build
%{__aclocal}
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

%{__make} install install_prefix=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README ChangeLog
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: outguess.spec,v $
Revision 1.16  2007/07/29 13:12:15  gotar
- s/steno/stegano/g

Revision 1.15  2007/02/13 07:16:51  glen
- tabs in preamble

Revision 1.14  2007/02/12 00:49:18  baggins
- converted to UTF-8

Revision 1.13  2003/05/28 13:00:10  malekith
- massive attack: source-md5

Revision 1.12  2003/05/25 06:24:32  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2002/11/27 22:06:26  juandon
- new %%doc

Revision 1.10  2002/10/09 13:14:42  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.9  2002/05/21 23:14:19  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.8  2002/02/23 04:17:25  kloczek
- adapterized.

Revision 1.7  2002/02/22 23:29:21  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/01/18 02:14:08  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/12/06 22:43:13  qboosh
- s/;/:/ in preample

Revision 1.4  2001/12/06 14:11:55  qboosh
- pl translations; release 2

Revision 1.3  2001/07/20 05:42:57  kloczek
- regenerate ac files (spec is ac 2.5x ready).

Revision 1.2  2001/07/20 02:04:12  kloczek
- cosmetics.

Revision 1.1  2001/07/20 00:50:47  wrobell
- steganographic tool, spec from template, stb
